- Qt 5.15
- Qt Quick Controls
- QML Types
- Obsolete Members for Container
- Qt 5.15.18 Reference Documentation

# Obsolete Members for Container

The following members of QML type Container are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Methods

- void removeItem(int index)`(obsolete)`

## Method Documentation

void removeItem(int index)

This method is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use Container::removeItem(Item) or Container::takeItem(int) instead.